<div class="main mb-4">
  <div class="container">
    <div class="row justify-content-center">
      <div class="col-md-6">
        <h3 class="mt-3" id="title">Trainer Profile</h3>
        <form [formGroup]="trainerForm">
          <div class="form-group mb-3 mt-3">
            <label for="firstName" class="form-label">First Name:</label>
            <input
              formControlName="firstName"
              type="text"
              class="form-control"
              id="firstName"
              readonly
            />
          </div>
          <div class="form-group mb-3">
            <label for="lastName" class="form-label">Last Name:</label>
            <input
              formControlName="lastName"
              type="text"
              class="form-control"
              id="lastName"
              readonly
            />
          </div>
          <!-- <div class="form-group mb-3">
            <label for="username" class="form-label">Username:</label>
            <input
              formControlName="username"
              type="text"
              class="form-control"
              id="username"
              readonly
            />
          </div> -->
          <div class="form-group mb-3">
            <label for="specialization" class="form-label"
              >Specialization:</label
            >
            <input
              formControlName="specialization"
              type="text"
              class="form-control"
              id="specialization"
              readonly
            />
          </div>
          <div class="form-check mb-3">
            <label class="form-check-label" for="isActive">Is Active</label>
            <input
              formControlName="isActive"
              type="checkbox"
              class="form-check-input"
              id="isActive"
            />
          </div>
        </form>
      </div>
      <div class="col-md-6 mt-3">
        <div class="mb-3">
          <label for="traineesList" class="form-label">Trainees List:</label>
          <ul
            id="traineesList"
            class="list-group"
            style="max-height: 293px; overflow-y: auto"
          >
            <li
              class="list-group-item"
              *ngFor="let trainee of traineeControls; let i = index"
            >
              <strong>Trainee {{ i + 1 }}:</strong>
              <ul class="trainees-list">
                <li>
                  <strong>First Name:</strong>
                  {{ trainee.get("firstName")?.value }}
                </li>

                <li>
                  <strong>Last Name:</strong>
                  {{ trainee.get("lastName")?.value }}
                </li>
              </ul>
            </li>
          </ul>
        </div>
      </div>

      <div class="container mt-4 profile-container">
        <a
          [routerLink]="['/view-trainer-trainings', username]"
          routerLinkActive="active"
          class="btn submit-button"
          >View Trainings</a
        >
        <a
          [routerLink]="['/update-trainer', username]"
          routerLinkActive="active"
          class="btn submit-button"
          >Update Trainer Profile</a
        >
        <a
          [routerLink]="['/change-password', username]"
          routerLinkActive="active"
          class="btn submit-button"
          >Change Password</a
        >
      </div>
    </div>
  </div>
</div>
